{
  "x-generator": "On Key REST API Docs Generator",
  "swagger": "2.0",
  "info": {
    "title": "On Key IDENTITY  API Specification",
    "description": "Better and smarter enterprise asset management with one of the world's leading Enterprise Asset Management (EAM) systems.",
    "termsOfService": "https://www.onkey.com/",
    "contact": {
      "name": "On Key Support",
      "url": "https://www.onkey.com/",
      "email": "onkey.support@pragmaworld.net"
    },
    "license": {
      "name": "On Key Licence",
      "url": "https://www.onkey.com/"
    },
    "version": "1.0.0"
  },
  "host": "<variable>:443",
  "basePath": "/api/tenants/{client}/{connection}",
  "schemes": [
    "https"
  ],
  "consumes": [
    "application/vnd.onkey.entitydelete+json",
    "application/vnd.onkey.entitydeletecollection+json",
    "application/vnd.onkey.entitypatch+json",
    "application/vnd.onkey.entitypatchcollection+json",
    "application/vnd.onkey.entity+json"
  ],
  "produces": [
    "application/vnd.onkey.translationset+json",
    "application/vnd.onkey.notification+json",
    "application/vnd.onkey.entity+json",
    "application/vnd.onkey.entitycollection+json",
    "application/vnd.onkey.entitycollectionpage+json"
  ],
  "paths": {
    "/Modules/IDENTITY/Localisations/Sets/{name}/Translations": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of translations for the Localisation Set",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | TranslationSet->Id | integer | int64 |\r\n| languageCode | TranslationSet->LanguageCode | string |  |\r\n| languageId | TranslationSet->LanguageId | integer | int64 |\r\n| name | TranslationSet->Name | string |  |\r\n| translations | TranslationSet->Translations | object |  |\r\n",
        "operationId": "GetLocalisationSetTranslations",
        "produces": [
          "application/vnd.onkey.translationset+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "string",
            "name": "name",
            "in": "path",
            "required": true,
            "description": "Name of Localisation Set",
            "x-nullable": false
          },
          {
            "type": "integer",
            "name": "langId",
            "in": "query",
            "description": "Language Id (default=0)",
            "format": "int64",
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "lang",
            "in": "query",
            "description": "Language Code (default=en)",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Translation Set definition",
            "schema": {
              "$ref": "#/definitions/TranslationSetSchema"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/IDENTITY/BackgroundTasks/Summary": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a summary of my Background Task resources for the last 24 hours.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | BackgroundTasksSummary->Id | integer | int64 |\r\n| abortedCount | BackgroundTasksSummary->AbortedCount | integer | int64 |\r\n| cancelledCount | BackgroundTasksSummary->CancelledCount | integer | int64 |\r\n| completedCount | BackgroundTasksSummary->CompletedCount | integer | int64 |\r\n| notStartedCount | BackgroundTasksSummary->NotStartedCount | integer | int64 |\r\n| runningCount | BackgroundTasksSummary->RunningCount | integer | int64 |\r\n| totalCount | BackgroundTasksSummary->TotalCount | integer | int64 |\r\n",
        "operationId": "GetMyBackgroundTasksSummary",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains My Identity",
            "schema": {
              "$ref": "#/definitions/GetMyBackgroundTasksSummaryResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/IDENTITY/Options/AMPC": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a My Identity resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| taskResponsibleSectionId | GetMyDefaultAMPCUserOptionsValues->TaskResponsibleSectionId | integer | int64 |\r\n| taskResponsibleStaffId | GetMyDefaultAMPCUserOptionsValues->TaskResponsibleStaffId | integer | int64 |\r\n| taskResponsibleTradeId | GetMyDefaultAMPCUserOptionsValues->TaskResponsibleTradeId | integer | int64 |\r\n",
        "operationId": "GetMyDefaultAMPCUserOptions",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains My Identity",
            "schema": {
              "$ref": "#/definitions/GetMyDefaultAMPCUserOptionsResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/IDENTITY/Options/FIN": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a My Identity resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| enableCosting | GetMyDefaultFINUserOptionsValues->EnableCosting | boolean |  |\r\n",
        "operationId": "GetMyDefaultFINUserOptions",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains My Identity",
            "schema": {
              "$ref": "#/definitions/GetMyDefaultFINUserOptionsResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/IDENTITY/Options/MM": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a My Identity resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| enableRequisitions | GetMyDefaultMMUserOptionsValues->EnableRequisitions | boolean |  |\r\n",
        "operationId": "GetMyDefaultMMUserOptions",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains My Identity",
            "schema": {
              "$ref": "#/definitions/GetMyDefaultMMUserOptionsResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/IDENTITY/Options": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a My Identity resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| enableCosting | GetMyDefaultUserOptionsValues->EnableCosting | boolean |  |\r\n| enableRequisitions | GetMyDefaultUserOptionsValues->EnableRequisitions | boolean |  |\r\n| applyWorkOrderStatusRules | GetMyDefaultUserOptionsValues->ApplyWorkOrderStatusRules | boolean |  |\r\n| defaultWorkOrderTaskResourceCostElementId | GetMyDefaultUserOptionsValues->DefaultWorkOrderTaskResourceCostElementId | integer | int64 |\r\n| taskResponsibleSectionId | GetMyDefaultUserOptionsValues->TaskResponsibleSectionId | integer | int64 |\r\n| taskResponsibleStaffId | GetMyDefaultUserOptionsValues->TaskResponsibleStaffId | integer | int64 |\r\n| taskResponsibleTradeId | GetMyDefaultUserOptionsValues->TaskResponsibleTradeId | integer | int64 |\r\n| workClassification1Id | GetMyDefaultUserOptionsValues->WorkClassification1Id | integer | int64 |\r\n| workClassification2Id | GetMyDefaultUserOptionsValues->WorkClassification2Id | integer | int64 |\r\n| workClassification3Id | GetMyDefaultUserOptionsValues->WorkClassification3Id | integer | int64 |\r\n| workClassification4Id | GetMyDefaultUserOptionsValues->WorkClassification4Id | integer | int64 |\r\n| workClassification5Id | GetMyDefaultUserOptionsValues->WorkClassification5Id | integer | int64 |\r\n| workOrderCanBeQueued | GetMyDefaultUserOptionsValues->WorkOrderCanBeQueued | boolean |  |\r\n| workOrderImportanceId | GetMyDefaultUserOptionsValues->WorkOrderImportanceId | integer | int64 |\r\n| workOrderLimit | GetMyDefaultUserOptionsValues->WorkOrderLimit | number | decimal |\r\n| workOrderResponsibleSectionId | GetMyDefaultUserOptionsValues->WorkOrderResponsibleSectionId | integer | int64 |\r\n| workOrderResponsibleStaffId | GetMyDefaultUserOptionsValues->WorkOrderResponsibleStaffId | integer | int64 |\r\n| workOrderResponsibleTradeId | GetMyDefaultUserOptionsValues->WorkOrderResponsibleTradeId | integer | int64 |\r\n| workOrderTypeOfWorkForConditionMonitoringId | GetMyDefaultUserOptionsValues->WorkOrderTypeOfWorkForConditionMonitoringId | integer | int64 |\r\n| workOrderTypeOfWorkId | GetMyDefaultUserOptionsValues->WorkOrderTypeOfWorkId | integer | int64 |\r\n",
        "operationId": "GetMyDefaultUserOptions",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains My Identity",
            "schema": {
              "$ref": "#/definitions/GetMyDefaultUserOptionsResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/IDENTITY/Options/WM": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a My Identity resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| applyWorkOrderStatusRules | GetMyDefaultWMUserOptionsValues->ApplyWorkOrderStatusRules | boolean |  |\r\n| defaultWorkOrderTaskResourceCostElementId | GetMyDefaultWMUserOptionsValues->DefaultWorkOrderTaskResourceCostElementId | integer | int64 |\r\n| workClassification1Id | GetMyDefaultWMUserOptionsValues->WorkClassification1Id | integer | int64 |\r\n| workClassification2Id | GetMyDefaultWMUserOptionsValues->WorkClassification2Id | integer | int64 |\r\n| workClassification3Id | GetMyDefaultWMUserOptionsValues->WorkClassification3Id | integer | int64 |\r\n| workClassification4Id | GetMyDefaultWMUserOptionsValues->WorkClassification4Id | integer | int64 |\r\n| workClassification5Id | GetMyDefaultWMUserOptionsValues->WorkClassification5Id | integer | int64 |\r\n| workOrderCanBeQueued | GetMyDefaultWMUserOptionsValues->WorkOrderCanBeQueued | boolean |  |\r\n| workOrderImportanceId | GetMyDefaultWMUserOptionsValues->WorkOrderImportanceId | integer | int64 |\r\n| workOrderLimit | GetMyDefaultWMUserOptionsValues->WorkOrderLimit | number | decimal |\r\n| workOrderResponsibleSectionId | GetMyDefaultWMUserOptionsValues->WorkOrderResponsibleSectionId | integer | int64 |\r\n| workOrderResponsibleStaffId | GetMyDefaultWMUserOptionsValues->WorkOrderResponsibleStaffId | integer | int64 |\r\n| workOrderResponsibleTradeId | GetMyDefaultWMUserOptionsValues->WorkOrderResponsibleTradeId | integer | int64 |\r\n| workOrderTypeOfWorkForConditionMonitoringId | GetMyDefaultWMUserOptionsValues->WorkOrderTypeOfWorkForConditionMonitoringId | integer | int64 |\r\n| workOrderTypeOfWorkId | GetMyDefaultWMUserOptionsValues->WorkOrderTypeOfWorkId | integer | int64 |\r\n",
        "operationId": "GetMyDefaultWMUserOptions",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains My Identity",
            "schema": {
              "$ref": "#/definitions/GetMyDefaultWMUserOptionsResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/IDENTITY/OperationalRoles/{id}/Resources/{resourceName}/{resourceActionName}/{resourceActionCustomisationId}": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get my customised User Operational Role Resource resource for the Operational Role Resource resource",
        "description": "",
        "operationId": "GetMyOperationalRoleResourceCustomisationForOperationalRole",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "resourceName",
            "in": "path",
            "required": true,
            "description": "Name of Resource",
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "resourceActionName",
            "in": "path",
            "required": true,
            "description": "Name of Resource Action",
            "x-nullable": false
          },
          {
            "type": "integer",
            "name": "resourceActionCustomisationId",
            "in": "path",
            "required": true,
            "description": "API Resource Action Customisation Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains My Identity",
            "schema": {
              "$ref": "#/definitions/GetMyOperationalRoleResourceCustomisationForOperationalRoleResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/IDENTITY/OperationalRoles/{id}/Resources/{resourceName}/{resourceActionName}": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get my system defined User Operational Role Resource resource for the Operational Role Resource resource",
        "description": "",
        "operationId": "GetMyOperationalRoleResourceForOperationalRole",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Operational Role Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "resourceName",
            "in": "path",
            "required": true,
            "description": "Name of Resource",
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "resourceActionName",
            "in": "path",
            "required": true,
            "description": "Name of Resource Action",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains My Identity",
            "schema": {
              "$ref": "#/definitions/GetMyOperationalRoleResourceForOperationalRoleResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/IDENTITY/OperationalRoles/Resources/{resourceName}/{resourceActionName}/{id}": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get my User Operational Role Resource resource.",
        "description": "",
        "operationId": "GetMyOperationalRoleResource",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "string",
            "name": "resourceName",
            "in": "path",
            "required": true,
            "description": "Name of Resource",
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "resourceActionName",
            "in": "path",
            "required": true,
            "description": "Name of Resource Action",
            "x-nullable": false
          },
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "User Operational Role Resource Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains My Identity",
            "schema": {
              "$ref": "#/definitions/GetMyOperationalRoleResourceResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "delete": {
        "tags": [
          "My Identity"
        ],
        "summary": "Delete my User Operational Role Resource resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | UserOperationalRoleResource->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteMyOperationalRoleResource",
        "consumes": [
          "application/vnd.onkey.entitydelete+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "string",
            "name": "resourceName",
            "in": "path",
            "required": true,
            "description": "Name of Resource",
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "resourceActionName",
            "in": "path",
            "required": true,
            "description": "Name of Resource Action",
            "x-nullable": false
          },
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "User Operational Role Resource Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "delete",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/DeleteMyOperationalRoleResourceResourceActionRequest"
            }
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - My Identity was successfully deleted"
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/IDENTITY/OperationalRoles/Templates/{templateName}/{id}": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get my User Operational Role Template resource.",
        "description": "",
        "operationId": "GetMyOperationalRoleTemplate",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "string",
            "name": "templateName",
            "in": "path",
            "required": true,
            "description": "Name of Template",
            "x-nullable": false
          },
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "User Operational Role Template Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains My Identity",
            "schema": {
              "$ref": "#/definitions/GetMyOperationalRoleTemplateResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "delete": {
        "tags": [
          "My Identity"
        ],
        "summary": "Delete my User Operational Role Template resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | UserOperationalRoleTemplate->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteMyOperationalRoleTemplate",
        "consumes": [
          "application/vnd.onkey.entitydelete+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "string",
            "name": "templateName",
            "in": "path",
            "required": true,
            "description": "Name of Template",
            "x-nullable": false
          },
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "User Operational Role Template Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "delete",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/DeleteMyOperationalRoleTemplateResourceActionRequest"
            }
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - My Identity was successfully deleted"
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/IDENTITY/TermsAndConditions/{id}": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get my User Terms And Conditions Version resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| createdByUserId | UserTermsAndConditionVersion->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | UserTermsAndConditionVersion->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | UserTermsAndConditionVersion->CreatedByUser_FullName | string |  |\r\n| createdOn | UserTermsAndConditionVersion->CreatedOn | string | date-time |\r\n| permissionTreeId | UserTermsAndConditionVersion->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | UserTermsAndConditionVersion->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | UserTermsAndConditionVersion->PermissionTree_Description | string |  |\r\n| id | UserTermsAndConditionVersion->Id | integer | int64 |\r\n| version | UserTermsAndConditionVersion->Version | integer | int32 |\r\n| accepted | UserTermsAndConditionVersion->Accepted | boolean |  |\r\n| acceptedDate | UserTermsAndConditionVersion->AcceptedDate | string | date |\r\n| deprecated | UserTermsAndConditionVersion->Deprecated | boolean |  |\r\n| termsAndConditionVersionId | UserTermsAndConditionVersion->TermsAndConditionVersion_Id | integer | int64 |\r\n| termsAndConditionVersionContentVersion | UserTermsAndConditionVersion->TermsAndConditionVersion_ContentVersion | integer | int32 |\r\n| termsAndConditionVersionLanguageId | UserTermsAndConditionVersion->TermsAndConditionVersion_Language_Id | integer | int64 |\r\n| termsAndConditionVersionLanguageCode | UserTermsAndConditionVersion->TermsAndConditionVersion_Language_Code | string |  |\r\n| termsAndConditionVersionTermsAndConditionId | UserTermsAndConditionVersion->TermsAndConditionVersion_TermsAndCondition_Id | integer | int64 |\r\n| termsAndConditionVersionTermsAndConditionName | UserTermsAndConditionVersion->TermsAndConditionVersion_TermsAndCondition_Name | string |  |\r\n| termsAndConditionVersionContent | UserTermsAndConditionVersion->TermsAndConditionVersion_Content | string |  |\r\n| userId | UserTermsAndConditionVersion->User_Id | integer | int64 |\r\n| userCode | UserTermsAndConditionVersion->User_Code | string |  |\r\n| userFullName | UserTermsAndConditionVersion->User_FullName | string |  |\r\n",
        "operationId": "GetMyTermsAndCondition",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "User Terms And Conditions Version Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains My Identity",
            "schema": {
              "$ref": "#/definitions/GetMyTermsAndConditionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/IDENTITY": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a summary of my User information.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | MyUserSummary->Id | integer | int64 |\r\n| allowWorkOrdersWithoutAssets | MyUserSummary->AllowWorkOrdersWithoutAssets | boolean |  |\r\n| applyWorkOrderStatusRules | MyUserSummary->ApplyWorkOrderStatusRules | boolean |  |\r\n| autoPopulateStartOnAndCompleteByDates | MyUserSummary->AutoPopulateStartOnAndCompleteByDates | boolean |  |\r\n| code | MyUserSummary->Code | string |  |\r\n| contentTranslate | MyUserSummary->ContentTranslate | boolean |  |\r\n| dateFormat | MyUserSummary->DateFormat | string (Allowed values: [YYYYMMDD, YYYYDDMM, DDMMYYYY, MMDDYYYY]) | enum |\r\n| dateSeparator | MyUserSummary->DateSeparator | string (Allowed values: [Slash, Dot]) | enum |\r\n| defaultAssetDevelopmentStatusApplyToChildren | MyUserSummary->DefaultAssetDevelopmentStatusApplyToChildren | boolean |  |\r\n| defaultAssetTypeDevelopmentStatusApplyToChildren | MyUserSummary->DefaultAssetTypeDevelopmentStatusApplyToChildren | boolean |  |\r\n| defaultAssetTypeDevelopmentStatusApplyToDescendants | MyUserSummary->DefaultAssetTypeDevelopmentStatusApplyToDescendants | boolean |  |\r\n| defaultCreateSaveAction | MyUserSummary->DefaultCreateSaveAction | string (Allowed values: [SaveAndClose, SaveAndNew, SaveAndUpdate]) | enum |\r\n| defaultIsActiveApplyToChildren | MyUserSummary->DefaultIsActiveApplyToChildren | boolean |  |\r\n| defaultIsActiveApplyToDescendants | MyUserSummary->DefaultIsActiveApplyToDescendants | boolean |  |\r\n| defaultIsActiveApplyToDetails | MyUserSummary->DefaultIsActiveApplyToDetails | boolean |  |\r\n| defaultLanguageId | MyUserSummary->DefaultLanguage_Id | integer | int64 |\r\n| defaultLanguageCode | MyUserSummary->DefaultLanguage_Code | string |  |\r\n| defaultLanguageDescription | MyUserSummary->DefaultLanguage_Description | string |  |\r\n| defaultSyncDevelopmentStatusApplyToChildren | MyUserSummary->DefaultSyncDevelopmentStatusApplyToChildren | boolean |  |\r\n| defaultTradeLookup | MyUserSummary->DefaultTradeLookup | string (Allowed values: [AllTrades, SectionTrades]) | enum |\r\n| defaultUpdateSaveAction | MyUserSummary->DefaultUpdateSaveAction | string (Allowed values: [SaveAndClose, Save]) | enum |\r\n| enforceAssetWarranty | MyUserSummary->EnforceAssetWarranty | boolean |  |\r\n| fullName | MyUserSummary->FullName | string |  |\r\n| isReportUser | MyUserSummary->IsReportUser | boolean |  |\r\n| mergeAllowedWorkOrderStatus | MyUserSummary->MergeAllowedWorkOrderStatus | string (Allowed values: [AwaitingApproval, Approved, AwaitingApprovalOrApproved]) | enum |\r\n| mergeTypeOfWorkOption | MyUserSummary->MergeTypeOfWorkOption | string (Allowed values: [NoRestriction, TypeOfWorkClass, TypeOfWork]) | enum |\r\n| operationalRoleRule | MyUserSummary->OperationalRoleRule | string (Allowed values: [Strict, Limited, Open]) | enum |\r\n| primaryEmail | MyUserSummary->PrimaryEmail | string | email |\r\n| reportServerReportLanguage | MyUserSummary->ReportServerReportLanguage | string |  |\r\n| reportServerUILanguage | MyUserSummary->ReportServerUILanguage | string |  |\r\n| reportUserName | MyUserSummary->ReportUserName | string |  |\r\n| reportUserOrganizations | MyUserSummary->ReportUserOrganizations | array | array |\r\n| reportUserRoles | MyUserSummary->ReportUserRoles | array | array |\r\n| siteId | MyUserSummary->Site_Id | integer | int64 |\r\n| siteCode | MyUserSummary->Site_Code | string |  |\r\n| siteDescription | MyUserSummary->Site_Description | string |  |\r\n| systemDateFormat | MyUserSummary->SystemDateFormat | string (Allowed values: [YYYYMMDD, YYYYDDMM, DDMMYYYY, MMDDYYYY]) | enum |\r\n| systemDateSeparator | MyUserSummary->SystemDateSeparator | string (Allowed values: [Slash, Dot]) | enum |\r\n| systemDefaultCreateSaveAction | MyUserSummary->SystemDefaultCreateSaveAction | string (Allowed values: [SaveAndClose, SaveAndNew, SaveAndUpdate]) | enum |\r\n| systemDefaultLanguageId | MyUserSummary->SystemDefaultLanguage_Id | integer | int64 |\r\n| systemDefaultLanguageCode | MyUserSummary->SystemDefaultLanguage_Code | string |  |\r\n| systemDefaultLanguageDescription | MyUserSummary->SystemDefaultLanguage_Description | string |  |\r\n| systemDefaultUpdateSaveAction | MyUserSummary->SystemDefaultUpdateSaveAction | string (Allowed values: [SaveAndClose, Save]) | enum |\r\n| systemTimeFormat | MyUserSummary->SystemTimeFormat | string (Allowed values: [Clock24h, Clock12h]) | enum |\r\n| timeFormat | MyUserSummary->TimeFormat | string (Allowed values: [Clock24h, Clock12h]) | enum |\r\n| workPerformedEditableBaseStatus | MyUserSummary->WorkPerformedEditableBaseStatus | string (Allowed values: [Approved, ApprovedAndCompleted]) | enum |\r\n",
        "operationId": "GetMyUserSummary",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains My Identity",
            "schema": {
              "$ref": "#/definitions/GetMyUserSummaryResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "patch": {
        "tags": [
          "My Identity"
        ],
        "summary": "Set my user settings.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| dateFormat | MyUserSummary->DateFormat | string (Allowed values: [YYYYMMDD, YYYYDDMM, DDMMYYYY, MMDDYYYY]) | enum |\r\n| dateSeparator | MyUserSummary->DateSeparator | string (Allowed values: [Slash, Dot]) | enum |\r\n| timeFormat | MyUserSummary->TimeFormat | string (Allowed values: [Clock24h, Clock12h]) | enum |\r\n| defaultLanguageId | MyUserSummary->DefaultLanguage_Id | integer | int64 |\r\n| defaultCreateSaveAction | MyUserSummary->DefaultCreateSaveAction | string (Allowed values: [SaveAndClose, SaveAndNew, SaveAndUpdate]) | enum |\r\n| defaultUpdateSaveAction | MyUserSummary->DefaultUpdateSaveAction | string (Allowed values: [SaveAndClose, Save]) | enum |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n\r\n",
        "operationId": "UpdateMyUserSummary",
        "consumes": [
          "application/vnd.onkey.entitypatch+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "patch",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/UpdateMyUserSummaryResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/IDENTITY/BackgroundTasks/{id}/Errors": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of my Background Task Error resources for the Background Task.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | BackgroundTaskError->Id | integer | int64 |\r\n| code | BackgroundTaskError->Code | string |  |\r\n| completedOn | BackgroundTaskError->CompletedOn | string | date-time |\r\n| objectType | BackgroundTaskError->ObjectType | string (Allowed values: [Alarm, NewAlarm, AlarmExpression, AlarmExpressionTask, AlarmAttribute, AlarmDocument, AlarmType, MonitoringPoint, MonitoringPointBoundEvaluationLog, MonitoringPointParameter, MonitoringPointReading, MonitoringPointTrigger, MonitoringPointTriggerExpression, MonitoringPointTriggerExpressionAlarmType, MonitoringPointTriggerExpressionParameter, MonitoringPointTriggerExpressionEvaluation, MonitoringPointTriggerExpressionEvaluationLog, MonitoringPointType, MonitoringPointTypeParameter, MonitoringPointAttribute, MonitoringPointDocument, AuxiliaryAssetTask, AuxiliaryAssetTaskResource, AuxiliaryAssetTaskSpare, AuxiliaryAssetTaskSubTask, RegularAssetComponent, RegularAssetComponentAttribute, RegularAssetComponentDocument, RegularAssetComponentRuleEvaluationFailure, AssetComponent, AssetWarranty, PlaceholderAssetComponent, PlaceholderAssetComponentOptionValue, PlaceholderAssetComponentCondition, PlaceholderAssetMeter, PlaceholderAssetComponentRuleEvaluationFailure, RegularAssetCondition, RegularAssetActiveCondition, AssetFmeca, RegularAssetOptionValue, Asset, RegularAssetAttribute, RegularAssetDocument, RegularAssetFileAttachment, PlaceholderAsset, PlaceholderAssetAttribute, PlaceholderAssetDocument, PlaceholderAssetFileAttachment, PlaceholderAssetRuleEvaluationFailure, PlaceholderAssetResponsibility, PlaceholderAssetCondition, PlaceholderAssetActiveCondition, AssetTask, SetAssetTaskSpareWarehouseEntity, RegularAssetTask, RegularAssetTaskRuleEvaluationFailure, RegularAssetTaskAttribute, RegularAssetTaskAuxiliaryTask, RegularAssetTaskFollowUpTask, RegularAssetTaskFollowUpTaskExpression, RegularAssetTaskSuppressedTask, RegularAssetTaskResource, RegularAssetTaskResourceRuleEvaluationFailure, RegularAssetTaskSpare, RegularAssetTaskSpareRuleEvaluationFailure, RegularAssetTaskSubTask, RegularAssetTaskFileAttachment, AuxiliaryAssetTypeTask, AuxiliaryAssetTypeTaskResource, AuxiliaryAssetTypeTaskSpare, AuxiliaryAssetTypeTaskSubTask, RegularAssetTypeComponent, RegularAssetTypeComponentAttribute, RegularAssetTypeComponentDocument, AssetTypeComponent, PlaceholderAssetTypeComponent, PlaceholderAssetTypeComponentCondition, PlaceholderAssetTypeComponentAttribute, PlaceholderAssetTypeComponentDocument, PlaceholderAssetTypeComponentRuleLink, RegularAssetTypeComponentRuleLink, PlaceholderAssetComponentAttribute, PlaceholderAssetComponentDocument, PlaceholderAssetComponentActiveCondition, AssetTypeFmeca, AssetTypeFunction, AssetFunction, AssetFmecaTask, AssetTypeFmecaTask, AssetTypeFolder, RegularAssetTypeOption, AssetType, PlaceholderAssetType, PlaceholderAssetTypeSpare, PlaceholderAssetTypeAttribute, PlaceholderAssetTypeDocument, PlaceholderAssetTypeResponsibility, PlaceholderAssetTypeRuleLink, RegularAssetTypeTask, RegularAssetTypeTaskAttribute, RegularAssetTypeTaskAuxiliaryTask, RegularAssetTypeTaskCondition, RegularAssetTypeTaskDocument, RegularAssetTypeTaskFollowUpTask, RegularAssetTypeTaskFollowUpTaskExpression, AssetTypeTask, AssetTypeTaskResource, AssetTaskResource, AssetTaskSpare, AssetTypeTaskSpare, RegularAssetTypeTaskResource, RegularAssetTypeTaskRuleLink, RegularAssetTypeTaskSpare, RegularAssetTypeTaskSubTask, RegularAssetTypeTaskSuppressedTask, Condition, ConditionType, Event, FailureCause, FailureCauseType, FailureMechanism, FailureMechanismType, FailureMode, FailureModeType, InPlaceAssetMeter, InPlaceAssetAttribute, InPlaceAssetFileAttachment, InPlaceAssetRuleEvaluationFailure, InPlaceAssetResponsibility, InPlaceAssetSpare, InPlaceAssetType, InPlaceAssetTypeResponsibility, InPlaceAssetTypeRuleLink, InPlaceAssetTypeSpare, InPlaceAsset, Option, OptionCategory, RegularAsset, RegularAssetTaskDocument, RegularAssetMeter, RegularAssetResponsibility, RegularAssetMonitoringPointTrigger, RegularAssetSpare, RegularAssetTaskCondition, RegularAssetType, RegularAssetTypeAttribute, RegularAssetTypeDocument, RegularAssetTypeCondition, PlaceholderAssetTypeCondition, RegularAssetTypeRule, RegularAssetTypeResponsibility, RegularAssetTypeMonitoringPointTrigger, RegularAssetTypeSpare, RepairType, Rule, RuleCategory, RuleOption, StandardTask, StandardTaskSpare, StandardTaskSubTask, StandardTaskResource, StandardTaskAttribute, StandardTaskDocument, TaskImportance, TaskInterval, TaskIntervalType, TaskRollUpPoint, TypeOfWork, RegularAssetTypeTaskSpareRuleLink, InPlaceAssetTypeAttribute, RegularAssetTypeTaskResourceRuleLink, PlaceholderAssetSpare, RegularAssetMonitoringPointTriggerParameter, AssetSpare, AssetTypeSpare, AssetMeter, AssetConsumption, RegularAssetConsumption, PlaceholderAssetConsumption, InPlaceAssetConsumption, WarrantyType, RegularAssetTypeFileAttachment, Meter, MeterAttribute, MeterDocument, MeterReading, PredictedMeterReading, TimeLossCategory, TimeLossReason, TimeLossType, Consumable, AcquisitionStatus, AcquisitionType, DocumentFolder, DocumentRecord, DocumentRecordAttribute, FileAttachment, FileAttachmentCategory, FileAttachmentContentHistory, DocumentRecordFileHistory, Costing, CostingBudget, CostCentre, CostCentreAttribute, CostCentreDocument, CostCentreType, CostElement, CostElementAttribute, CostElementDocument, Currency, BudgetTemplate, BudgetTemplateParameter, FinancialYear, FinancialYearPeriod, GeneralLedger, GeneralLedgerAttribute, GeneralLedgerDocument, CurrencyRate, Budget, BudgetParameter, AddressType, Approval, Attribute, AttributeAllowedValue, Calendar, CalendarDay, CalendarException, CalendarDayHour, Classification, ClassificationAllowedValue, EmailType, Language, OperationalRole, OperationalRoleTemplate, OperationalRoleResource, PhoneNumberType, UserOperationalRole, UserOperationalRoleTemplate, UserOperationalRoleResource, TermsAndCondition, TermsAndConditionVersion, TermsAndConditionOperationalRole, UserTermsAndConditionVersion, Location, LocationAttribute, LocationDocument, LocalisationSet, LocalisationKey, LocalisationTranslation, Phrase, PhraseTranslation, PreconfiguredReason, Site, SiteAttribute, SiteDocument, SiteType, Supplier, SupplierFileAttachment, SupplierAttribute, SupplierDocument, SupplierContactAddress, SupplierContactEmail, SupplierContactPhoneNumber, SupplierResource, SupplierTaxRate, UnitOfMeasurement, SiteResource, SiteContactAddress, SiteContactEmail, SiteContactPhoneNumber, ChangeDataTrigger, ChangeDataTriggerOccurrenceLog, ChangeDataTriggerCriteria, NotificationTemplate, ChangeDataTriggerCriteriaParameter, ChangeDataTriggerNotificationEvent, NotificationTemplateParameter, ChangeDataTriggerNotificationEventAttachment, ChangeDataTriggerNotificationEventAttachmentParameter, RequestType, Category, Commodity, MaterialMaster, MaterialMasterAttribute, MaterialMasterDocument, MaterialMasterBin, MaterialMasterSupplier, MaterialMasterLinkWarehouse, StockItem, StockItemFileAttachment, StockItemAttribute, StockItemDocument, StockItemBin, StockItemSupplier, WarehouseAttribute, Warehouse, WarehouseDocument, Requisition, RequisitionFileAttachment, RequisitionStatus, RequisitionStatusChange, RequisitionStatusAttribute, RequisitionStatusDocument, RequisitionStatusChangeHistory, RequisitionItemTransaction, ApprovalRole, RequisitionAttribute, RequisitionDocument, RequisitionTransaction, RequisitionItem, RequisitionItemFileAttachment, UserSiteApprovalRole, ApprovalWorkflow, ApprovalWorkflowExpression, ApprovalWorkflowExpressionApprovalRole, Competency, Resource, ResourceAttribute, ResourceAddress, ResourceClassification, ResourceCompetency, ResourceDocument, ResourceEmail, ResourcePhoneNumber, ResourceTrade, ResourceTradeCompetency, ResourceTradeFinancialRate, Section, SectionAttribute, SectionDocument, SectionTrade, TradeAttribute, TradeDocument, Trade, TradeCompetency, TradeFinancialRate, ResourceContext, ResourceFileAttachment, AssetImportance, RiskConsequence, RiskConsequenceCategory, RiskModel, RiskModelConsequenceCategory, RiskModelImportance, RiskModelProbability, RiskProbability, WorkOrderImportance, WorkOrderStatus, WorkOrderStatusAttribute, WorkOrderStatusDocument, WorkOrderStatusAllowedChange, WorkOrder, WorkOrderStatusChangeHistory, WorkOrderStatusChange, WorkOrderMerge, WorkOrderSplit, WorkOrderMeter, WorkOrderAttribute, WorkOrderDocument, WorkOrderFileAttachment, WorkOrderTaskFileAttachment, WorkOrderTaskWarranty, WorkOrderTaskSpareFileAttachment, WorkOrderTask, WorkOrderTaskDocument, WorkOrderTaskAdHocCost, WorkOrderMonitoringPoint, WorkOrderTaskMonitoringPoint, WorkOrderTaskSpare, WorkOrderTaskSubTask, WorkOrderTaskResource, WorkOrderTaskResourceUsage, DueTask, DueTaskSuppressor, ProposedWorkOrderBatch, ProposedWorkOrder, ProposedWorkOrderTask, ProposedWorkOrderMeter, WorkOrderMovement, WorkOrderTaskMovement, WorkOrderTaskResourceMovement, WorkOrderTaskSpareMovement, WorkOrderTaskSubTaskMovement, WorkOrderCompleteAllTasksLog, WorkRequest, WorkRequestAttribute, WorkRequestDocument, WorkRequestStatus, WorkRequestStatusChange, WorkRequestStatusChangeHistory, WorkRequestFileAttachment, WorkOrderDowntimeLoss, WorkOrderProgressEvent, WorkOrderProgressEventAllowedChange, WorkOrderProgressLog, WorkOrderWarranty, ServiceLevelAgreementClassification, ServiceLevelAgreement, ServiceLevelAgreementMeasure, WorkOrderServiceLevelAgreement, WorkOrderServiceLevelAgreementMeasure, ServiceLevelAgreementMeasureTrigger, ServiceLevelAgreementMeasureFieldAssignment, PermissionTree, User, UserAttribute, UserDocument, UserAuthentication, SecurityRole, SecurityRolePermission, UserSecurityRole, UserCustomPermission, UserOption, BackgroundTask, BackgroundTaskStep, ScheduledBackgroundTask, ScheduledJob, UserDefinedField, UserDefinedFieldPredefinedValue, SystemOption, SystemOptionPageLimit, SystemOptionWorkOrderStatus, SystemOptionDefaultStandardTask, SystemOptionWorkOrderStatusTypeOfWork, SystemOptionReferenceDataViewPermission, SystemOptionFileAttachmentCategory, SystemOptionFileAttachmentFileType, RecordChange, RecordChangeValue, RecordChangeUser, RecordChangeProperty, NotificationEventOutbox, NotificationEventAttachmentOutbox, NotificationOutbox, NotificationOutboxLog, ChangeDataTriggerCriteriaEvaluation, SystemOptionReportServerEntity, SystemOptionReportServerEntityDefaultReport, TemplateMigrationLog, TemplateMigrationLogIntent, ResourceActionMigrationLog, ImportSchema, ImportFile, UserDefinedQuery, ResourceActionCustomisation, TemplateCustomisation, TemplateResource, ClusterSettings, ClusterIdentityProviderSettings, MessageBrokerHost, MessageBrokerTopic, MessageBrokerTopicConsumer, TenantSettings, TenantChangeDataSubscriptionSettings, TenantIdentityProviderSettings, TenantJobSettings, TenantFileContentStoreLocationSettings, TenantFileContentStoreFileTypeGroupSettings, TenantFileContentStoreFileTypeSettings, ClusterFeatureToggle, TenantFeatureToggle, TenantHealthCheck, TenantMachineHealthCheck, ClusterHealthCheck, ClusterMachineHealthCheck, ClusterCapacitySlot, TenantChangeLogCleanupExpressionSettings, ClusterJobSettings, Ignore]) | enum |\r\n| message | BackgroundTaskError->Message | string | memo |\r\n| type | BackgroundTaskError->Type | string |  |\r\n| objectId | BackgroundTaskError->ObjectId | integer | int64 |\r\n| sequenceNumber | BackgroundTaskError->SequenceNumber | integer | int32 |\r\n| severity | BackgroundTaskError->Severity | string |  |\r\n| startedOn | BackgroundTaskError->StartedOn | string | date-time |\r\n| createdByUserId | BackgroundTaskError->CreatedByUserId | integer | int64 |\r\n",
        "operationId": "GetMyBackgroundTaskErrorList",
        "produces": [
          "application/vnd.onkey.entitycollection+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Background Task Id",
            "format": "int64",
            "x-nullable": false
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains My Identity collection",
            "schema": {
              "$ref": "#/definitions/GetMyBackgroundTaskErrorListResourceAction"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/IDENTITY/Approvals/Requisitions": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of my My Identity resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | Requisition->Id | integer | int64 |\r\n| version | Requisition->Version | integer | int32 |\r\n| code | Requisition->Code | string |  |\r\n| workOrderCode | Requisition->WorkOrder_Code | string |  |\r\n| workOrderDescription | Requisition->WorkOrder_Description | string |  |\r\n| totalItemCost | Requisition->TotalItemCost | number | decimal |\r\n| idApprovalEntityIdEntityId | Requisition->*Id.Approval.EntityId_EntityId | integer | int64 |\r\n| idApprovalEntityIdSequenceNumber | Requisition->*Id.Approval.EntityId_SequenceNumber | integer | int32 |\r\n| idApprovalEntityIdExpressionId | Requisition->*Id.Approval.EntityId_Expression_Id | integer | int64 |\r\n| idApprovalEntityIdExpressionApprovalWorkflowId | Requisition->*Id.Approval.EntityId_Expression_ApprovalWorkflow_Id | integer | int64 |\r\n| idApprovalEntityIdExpressionApprovalWorkflowCode | Requisition->*Id.Approval.EntityId_Expression_ApprovalWorkflow_Code | string |  |\r\n| idApprovalEntityIdExpressionDescription | Requisition->*Id.Approval.EntityId_Expression_Description | string |  |\r\n| idApprovalEntityIdId | Requisition->*Id.Approval.EntityId_Id | integer | int64 |\r\n| idApprovalEntityIdIsLocked | Requisition->*Id.Approval.EntityId_IsLocked | boolean |  |\r\n| idApprovalEntityIdEntityType | Requisition->*Id.Approval.EntityId_EntityType | string (Allowed values: [Alarm, NewAlarm, AlarmExpression, AlarmExpressionTask, AlarmAttribute, AlarmDocument, AlarmType, MonitoringPoint, MonitoringPointBoundEvaluationLog, MonitoringPointParameter, MonitoringPointReading, MonitoringPointTrigger, MonitoringPointTriggerExpression, MonitoringPointTriggerExpressionAlarmType, MonitoringPointTriggerExpressionParameter, MonitoringPointTriggerExpressionEvaluation, MonitoringPointTriggerExpressionEvaluationLog, MonitoringPointType, MonitoringPointTypeParameter, MonitoringPointAttribute, MonitoringPointDocument, AuxiliaryAssetTask, AuxiliaryAssetTaskResource, AuxiliaryAssetTaskSpare, AuxiliaryAssetTaskSubTask, RegularAssetComponent, RegularAssetComponentAttribute, RegularAssetComponentDocument, RegularAssetComponentRuleEvaluationFailure, AssetComponent, AssetWarranty, PlaceholderAssetComponent, PlaceholderAssetComponentOptionValue, PlaceholderAssetComponentCondition, PlaceholderAssetMeter, PlaceholderAssetComponentRuleEvaluationFailure, RegularAssetCondition, RegularAssetActiveCondition, AssetFmeca, RegularAssetOptionValue, Asset, RegularAssetAttribute, RegularAssetDocument, RegularAssetFileAttachment, PlaceholderAsset, PlaceholderAssetAttribute, PlaceholderAssetDocument, PlaceholderAssetFileAttachment, PlaceholderAssetRuleEvaluationFailure, PlaceholderAssetResponsibility, PlaceholderAssetCondition, PlaceholderAssetActiveCondition, AssetTask, SetAssetTaskSpareWarehouseEntity, RegularAssetTask, RegularAssetTaskRuleEvaluationFailure, RegularAssetTaskAttribute, RegularAssetTaskAuxiliaryTask, RegularAssetTaskFollowUpTask, RegularAssetTaskFollowUpTaskExpression, RegularAssetTaskSuppressedTask, RegularAssetTaskResource, RegularAssetTaskResourceRuleEvaluationFailure, RegularAssetTaskSpare, RegularAssetTaskSpareRuleEvaluationFailure, RegularAssetTaskSubTask, RegularAssetTaskFileAttachment, AuxiliaryAssetTypeTask, AuxiliaryAssetTypeTaskResource, AuxiliaryAssetTypeTaskSpare, AuxiliaryAssetTypeTaskSubTask, RegularAssetTypeComponent, RegularAssetTypeComponentAttribute, RegularAssetTypeComponentDocument, AssetTypeComponent, PlaceholderAssetTypeComponent, PlaceholderAssetTypeComponentCondition, PlaceholderAssetTypeComponentAttribute, PlaceholderAssetTypeComponentDocument, PlaceholderAssetTypeComponentRuleLink, RegularAssetTypeComponentRuleLink, PlaceholderAssetComponentAttribute, PlaceholderAssetComponentDocument, PlaceholderAssetComponentActiveCondition, AssetTypeFmeca, AssetTypeFunction, AssetFunction, AssetFmecaTask, AssetTypeFmecaTask, AssetTypeFolder, RegularAssetTypeOption, AssetType, PlaceholderAssetType, PlaceholderAssetTypeSpare, PlaceholderAssetTypeAttribute, PlaceholderAssetTypeDocument, PlaceholderAssetTypeResponsibility, PlaceholderAssetTypeRuleLink, RegularAssetTypeTask, RegularAssetTypeTaskAttribute, RegularAssetTypeTaskAuxiliaryTask, RegularAssetTypeTaskCondition, RegularAssetTypeTaskDocument, RegularAssetTypeTaskFollowUpTask, RegularAssetTypeTaskFollowUpTaskExpression, AssetTypeTask, AssetTypeTaskResource, AssetTaskResource, AssetTaskSpare, AssetTypeTaskSpare, RegularAssetTypeTaskResource, RegularAssetTypeTaskRuleLink, RegularAssetTypeTaskSpare, RegularAssetTypeTaskSubTask, RegularAssetTypeTaskSuppressedTask, Condition, ConditionType, Event, FailureCause, FailureCauseType, FailureMechanism, FailureMechanismType, FailureMode, FailureModeType, InPlaceAssetMeter, InPlaceAssetAttribute, InPlaceAssetFileAttachment, InPlaceAssetRuleEvaluationFailure, InPlaceAssetResponsibility, InPlaceAssetSpare, InPlaceAssetType, InPlaceAssetTypeResponsibility, InPlaceAssetTypeRuleLink, InPlaceAssetTypeSpare, InPlaceAsset, Option, OptionCategory, RegularAsset, RegularAssetTaskDocument, RegularAssetMeter, RegularAssetResponsibility, RegularAssetMonitoringPointTrigger, RegularAssetSpare, RegularAssetTaskCondition, RegularAssetType, RegularAssetTypeAttribute, RegularAssetTypeDocument, RegularAssetTypeCondition, PlaceholderAssetTypeCondition, RegularAssetTypeRule, RegularAssetTypeResponsibility, RegularAssetTypeMonitoringPointTrigger, RegularAssetTypeSpare, RepairType, Rule, RuleCategory, RuleOption, StandardTask, StandardTaskSpare, StandardTaskSubTask, StandardTaskResource, StandardTaskAttribute, StandardTaskDocument, TaskImportance, TaskInterval, TaskIntervalType, TaskRollUpPoint, TypeOfWork, RegularAssetTypeTaskSpareRuleLink, InPlaceAssetTypeAttribute, RegularAssetTypeTaskResourceRuleLink, PlaceholderAssetSpare, RegularAssetMonitoringPointTriggerParameter, AssetSpare, AssetTypeSpare, AssetMeter, AssetConsumption, RegularAssetConsumption, PlaceholderAssetConsumption, InPlaceAssetConsumption, WarrantyType, RegularAssetTypeFileAttachment, Meter, MeterAttribute, MeterDocument, MeterReading, PredictedMeterReading, TimeLossCategory, TimeLossReason, TimeLossType, Consumable, AcquisitionStatus, AcquisitionType, DocumentFolder, DocumentRecord, DocumentRecordAttribute, FileAttachment, FileAttachmentCategory, FileAttachmentContentHistory, DocumentRecordFileHistory, Costing, CostingBudget, CostCentre, CostCentreAttribute, CostCentreDocument, CostCentreType, CostElement, CostElementAttribute, CostElementDocument, Currency, BudgetTemplate, BudgetTemplateParameter, FinancialYear, FinancialYearPeriod, GeneralLedger, GeneralLedgerAttribute, GeneralLedgerDocument, CurrencyRate, Budget, BudgetParameter, AddressType, Approval, Attribute, AttributeAllowedValue, Calendar, CalendarDay, CalendarException, CalendarDayHour, Classification, ClassificationAllowedValue, EmailType, Language, OperationalRole, OperationalRoleTemplate, OperationalRoleResource, PhoneNumberType, UserOperationalRole, UserOperationalRoleTemplate, UserOperationalRoleResource, TermsAndCondition, TermsAndConditionVersion, TermsAndConditionOperationalRole, UserTermsAndConditionVersion, Location, LocationAttribute, LocationDocument, LocalisationSet, LocalisationKey, LocalisationTranslation, Phrase, PhraseTranslation, PreconfiguredReason, Site, SiteAttribute, SiteDocument, SiteType, Supplier, SupplierFileAttachment, SupplierAttribute, SupplierDocument, SupplierContactAddress, SupplierContactEmail, SupplierContactPhoneNumber, SupplierResource, SupplierTaxRate, UnitOfMeasurement, SiteResource, SiteContactAddress, SiteContactEmail, SiteContactPhoneNumber, ChangeDataTrigger, ChangeDataTriggerOccurrenceLog, ChangeDataTriggerCriteria, NotificationTemplate, ChangeDataTriggerCriteriaParameter, ChangeDataTriggerNotificationEvent, NotificationTemplateParameter, ChangeDataTriggerNotificationEventAttachment, ChangeDataTriggerNotificationEventAttachmentParameter, RequestType, Category, Commodity, MaterialMaster, MaterialMasterAttribute, MaterialMasterDocument, MaterialMasterBin, MaterialMasterSupplier, MaterialMasterLinkWarehouse, StockItem, StockItemFileAttachment, StockItemAttribute, StockItemDocument, StockItemBin, StockItemSupplier, WarehouseAttribute, Warehouse, WarehouseDocument, Requisition, RequisitionFileAttachment, RequisitionStatus, RequisitionStatusChange, RequisitionStatusAttribute, RequisitionStatusDocument, RequisitionStatusChangeHistory, RequisitionItemTransaction, ApprovalRole, RequisitionAttribute, RequisitionDocument, RequisitionTransaction, RequisitionItem, RequisitionItemFileAttachment, UserSiteApprovalRole, ApprovalWorkflow, ApprovalWorkflowExpression, ApprovalWorkflowExpressionApprovalRole, Competency, Resource, ResourceAttribute, ResourceAddress, ResourceClassification, ResourceCompetency, ResourceDocument, ResourceEmail, ResourcePhoneNumber, ResourceTrade, ResourceTradeCompetency, ResourceTradeFinancialRate, Section, SectionAttribute, SectionDocument, SectionTrade, TradeAttribute, TradeDocument, Trade, TradeCompetency, TradeFinancialRate, ResourceContext, ResourceFileAttachment, AssetImportance, RiskConsequence, RiskConsequenceCategory, RiskModel, RiskModelConsequenceCategory, RiskModelImportance, RiskModelProbability, RiskProbability, WorkOrderImportance, WorkOrderStatus, WorkOrderStatusAttribute, WorkOrderStatusDocument, WorkOrderStatusAllowedChange, WorkOrder, WorkOrderStatusChangeHistory, WorkOrderStatusChange, WorkOrderMerge, WorkOrderSplit, WorkOrderMeter, WorkOrderAttribute, WorkOrderDocument, WorkOrderFileAttachment, WorkOrderTaskFileAttachment, WorkOrderTaskWarranty, WorkOrderTaskSpareFileAttachment, WorkOrderTask, WorkOrderTaskDocument, WorkOrderTaskAdHocCost, WorkOrderMonitoringPoint, WorkOrderTaskMonitoringPoint, WorkOrderTaskSpare, WorkOrderTaskSubTask, WorkOrderTaskResource, WorkOrderTaskResourceUsage, DueTask, DueTaskSuppressor, ProposedWorkOrderBatch, ProposedWorkOrder, ProposedWorkOrderTask, ProposedWorkOrderMeter, WorkOrderMovement, WorkOrderTaskMovement, WorkOrderTaskResourceMovement, WorkOrderTaskSpareMovement, WorkOrderTaskSubTaskMovement, WorkOrderCompleteAllTasksLog, WorkRequest, WorkRequestAttribute, WorkRequestDocument, WorkRequestStatus, WorkRequestStatusChange, WorkRequestStatusChangeHistory, WorkRequestFileAttachment, WorkOrderDowntimeLoss, WorkOrderProgressEvent, WorkOrderProgressEventAllowedChange, WorkOrderProgressLog, WorkOrderWarranty, ServiceLevelAgreementClassification, ServiceLevelAgreement, ServiceLevelAgreementMeasure, WorkOrderServiceLevelAgreement, WorkOrderServiceLevelAgreementMeasure, ServiceLevelAgreementMeasureTrigger, ServiceLevelAgreementMeasureFieldAssignment, PermissionTree, User, UserAttribute, UserDocument, UserAuthentication, SecurityRole, SecurityRolePermission, UserSecurityRole, UserCustomPermission, UserOption, BackgroundTask, BackgroundTaskStep, ScheduledBackgroundTask, ScheduledJob, UserDefinedField, UserDefinedFieldPredefinedValue, SystemOption, SystemOptionPageLimit, SystemOptionWorkOrderStatus, SystemOptionDefaultStandardTask, SystemOptionWorkOrderStatusTypeOfWork, SystemOptionReferenceDataViewPermission, SystemOptionFileAttachmentCategory, SystemOptionFileAttachmentFileType, RecordChange, RecordChangeValue, RecordChangeUser, RecordChangeProperty, NotificationEventOutbox, NotificationEventAttachmentOutbox, NotificationOutbox, NotificationOutboxLog, ChangeDataTriggerCriteriaEvaluation, SystemOptionReportServerEntity, SystemOptionReportServerEntityDefaultReport, TemplateMigrationLog, TemplateMigrationLogIntent, ResourceActionMigrationLog, ImportSchema, ImportFile, UserDefinedQuery, ResourceActionCustomisation, TemplateCustomisation, TemplateResource, ClusterSettings, ClusterIdentityProviderSettings, MessageBrokerHost, MessageBrokerTopic, MessageBrokerTopicConsumer, TenantSettings, TenantChangeDataSubscriptionSettings, TenantIdentityProviderSettings, TenantJobSettings, TenantFileContentStoreLocationSettings, TenantFileContentStoreFileTypeGroupSettings, TenantFileContentStoreFileTypeSettings, ClusterFeatureToggle, TenantFeatureToggle, TenantHealthCheck, TenantMachineHealthCheck, ClusterHealthCheck, ClusterMachineHealthCheck, ClusterCapacitySlot, TenantChangeLogCleanupExpressionSettings, ClusterJobSettings, Ignore]) | enum |\r\n| idApprovalEntityIdRemark | Requisition->*Id.Approval.EntityId_Remark | string |  |\r\n| idApprovalEntityIdRoleId | Requisition->*Id.Approval.EntityId_Role_Id | integer | int64 |\r\n| idApprovalEntityIdRoleCode | Requisition->*Id.Approval.EntityId_Role_Code | string |  |\r\n| idApprovalEntityIdRoleDescription | Requisition->*Id.Approval.EntityId_Role_Description | string |  |\r\n| idApprovalEntityIdStatus | Requisition->*Id.Approval.EntityId_Status | string (Allowed values: [AwaitingApproval, Approved, Rejected, RoleCountReached]) | enum |\r\n",
        "operationId": "GetMyApprovalForRequisitionCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable My Identity collection",
            "schema": {
              "$ref": "#/definitions/GetMyApprovalForRequisitionCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/IDENTITY/Approvals/Requisitions/Items": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of my My Identity resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | RequisitionItem->Id | integer | int64 |\r\n| code | RequisitionItem->Code | string |  |\r\n| description | RequisitionItem->Description | string |  |\r\n| version | RequisitionItem->Version | integer | int32 |\r\n| requisitionId | RequisitionItem->Requisition_Id | integer | int64 |\r\n| requisitionCode | RequisitionItem->Requisition_Code | string |  |\r\n| requisitionWorkOrderCode | RequisitionItem->Requisition_WorkOrder_Code | string |  |\r\n| requisitionWorkOrderDescription | RequisitionItem->Requisition_WorkOrder_Description | string |  |\r\n| totalCostInSiteCurrency | RequisitionItem->TotalCostInSiteCurrency | number | decimal |\r\n| workOrderTaskSpareSpareType | RequisitionItem->WorkOrderTaskSpare_SpareType | string (Allowed values: [StockItem, CodedNonStockItem, DirectPurchase, Contractor]) | enum |\r\n| idApprovalEntityIdEntityId | RequisitionItem->*Id.Approval.EntityId_EntityId | integer | int64 |\r\n| idApprovalEntityIdSequenceNumber | RequisitionItem->*Id.Approval.EntityId_SequenceNumber | integer | int32 |\r\n| idApprovalEntityIdExpressionId | RequisitionItem->*Id.Approval.EntityId_Expression_Id | integer | int64 |\r\n| idApprovalEntityIdExpressionApprovalWorkflowId | RequisitionItem->*Id.Approval.EntityId_Expression_ApprovalWorkflow_Id | integer | int64 |\r\n| idApprovalEntityIdExpressionApprovalWorkflowCode | RequisitionItem->*Id.Approval.EntityId_Expression_ApprovalWorkflow_Code | string |  |\r\n| idApprovalEntityIdExpressionDescription | RequisitionItem->*Id.Approval.EntityId_Expression_Description | string |  |\r\n| idApprovalEntityIdId | RequisitionItem->*Id.Approval.EntityId_Id | integer | int64 |\r\n| idApprovalEntityIdIsLocked | RequisitionItem->*Id.Approval.EntityId_IsLocked | boolean |  |\r\n| idApprovalEntityIdEntityType | RequisitionItem->*Id.Approval.EntityId_EntityType | string (Allowed values: [Alarm, NewAlarm, AlarmExpression, AlarmExpressionTask, AlarmAttribute, AlarmDocument, AlarmType, MonitoringPoint, MonitoringPointBoundEvaluationLog, MonitoringPointParameter, MonitoringPointReading, MonitoringPointTrigger, MonitoringPointTriggerExpression, MonitoringPointTriggerExpressionAlarmType, MonitoringPointTriggerExpressionParameter, MonitoringPointTriggerExpressionEvaluation, MonitoringPointTriggerExpressionEvaluationLog, MonitoringPointType, MonitoringPointTypeParameter, MonitoringPointAttribute, MonitoringPointDocument, AuxiliaryAssetTask, AuxiliaryAssetTaskResource, AuxiliaryAssetTaskSpare, AuxiliaryAssetTaskSubTask, RegularAssetComponent, RegularAssetComponentAttribute, RegularAssetComponentDocument, RegularAssetComponentRuleEvaluationFailure, AssetComponent, AssetWarranty, PlaceholderAssetComponent, PlaceholderAssetComponentOptionValue, PlaceholderAssetComponentCondition, PlaceholderAssetMeter, PlaceholderAssetComponentRuleEvaluationFailure, RegularAssetCondition, RegularAssetActiveCondition, AssetFmeca, RegularAssetOptionValue, Asset, RegularAssetAttribute, RegularAssetDocument, RegularAssetFileAttachment, PlaceholderAsset, PlaceholderAssetAttribute, PlaceholderAssetDocument, PlaceholderAssetFileAttachment, PlaceholderAssetRuleEvaluationFailure, PlaceholderAssetResponsibility, PlaceholderAssetCondition, PlaceholderAssetActiveCondition, AssetTask, SetAssetTaskSpareWarehouseEntity, RegularAssetTask, RegularAssetTaskRuleEvaluationFailure, RegularAssetTaskAttribute, RegularAssetTaskAuxiliaryTask, RegularAssetTaskFollowUpTask, RegularAssetTaskFollowUpTaskExpression, RegularAssetTaskSuppressedTask, RegularAssetTaskResource, RegularAssetTaskResourceRuleEvaluationFailure, RegularAssetTaskSpare, RegularAssetTaskSpareRuleEvaluationFailure, RegularAssetTaskSubTask, RegularAssetTaskFileAttachment, AuxiliaryAssetTypeTask, AuxiliaryAssetTypeTaskResource, AuxiliaryAssetTypeTaskSpare, AuxiliaryAssetTypeTaskSubTask, RegularAssetTypeComponent, RegularAssetTypeComponentAttribute, RegularAssetTypeComponentDocument, AssetTypeComponent, PlaceholderAssetTypeComponent, PlaceholderAssetTypeComponentCondition, PlaceholderAssetTypeComponentAttribute, PlaceholderAssetTypeComponentDocument, PlaceholderAssetTypeComponentRuleLink, RegularAssetTypeComponentRuleLink, PlaceholderAssetComponentAttribute, PlaceholderAssetComponentDocument, PlaceholderAssetComponentActiveCondition, AssetTypeFmeca, AssetTypeFunction, AssetFunction, AssetFmecaTask, AssetTypeFmecaTask, AssetTypeFolder, RegularAssetTypeOption, AssetType, PlaceholderAssetType, PlaceholderAssetTypeSpare, PlaceholderAssetTypeAttribute, PlaceholderAssetTypeDocument, PlaceholderAssetTypeResponsibility, PlaceholderAssetTypeRuleLink, RegularAssetTypeTask, RegularAssetTypeTaskAttribute, RegularAssetTypeTaskAuxiliaryTask, RegularAssetTypeTaskCondition, RegularAssetTypeTaskDocument, RegularAssetTypeTaskFollowUpTask, RegularAssetTypeTaskFollowUpTaskExpression, AssetTypeTask, AssetTypeTaskResource, AssetTaskResource, AssetTaskSpare, AssetTypeTaskSpare, RegularAssetTypeTaskResource, RegularAssetTypeTaskRuleLink, RegularAssetTypeTaskSpare, RegularAssetTypeTaskSubTask, RegularAssetTypeTaskSuppressedTask, Condition, ConditionType, Event, FailureCause, FailureCauseType, FailureMechanism, FailureMechanismType, FailureMode, FailureModeType, InPlaceAssetMeter, InPlaceAssetAttribute, InPlaceAssetFileAttachment, InPlaceAssetRuleEvaluationFailure, InPlaceAssetResponsibility, InPlaceAssetSpare, InPlaceAssetType, InPlaceAssetTypeResponsibility, InPlaceAssetTypeRuleLink, InPlaceAssetTypeSpare, InPlaceAsset, Option, OptionCategory, RegularAsset, RegularAssetTaskDocument, RegularAssetMeter, RegularAssetResponsibility, RegularAssetMonitoringPointTrigger, RegularAssetSpare, RegularAssetTaskCondition, RegularAssetType, RegularAssetTypeAttribute, RegularAssetTypeDocument, RegularAssetTypeCondition, PlaceholderAssetTypeCondition, RegularAssetTypeRule, RegularAssetTypeResponsibility, RegularAssetTypeMonitoringPointTrigger, RegularAssetTypeSpare, RepairType, Rule, RuleCategory, RuleOption, StandardTask, StandardTaskSpare, StandardTaskSubTask, StandardTaskResource, StandardTaskAttribute, StandardTaskDocument, TaskImportance, TaskInterval, TaskIntervalType, TaskRollUpPoint, TypeOfWork, RegularAssetTypeTaskSpareRuleLink, InPlaceAssetTypeAttribute, RegularAssetTypeTaskResourceRuleLink, PlaceholderAssetSpare, RegularAssetMonitoringPointTriggerParameter, AssetSpare, AssetTypeSpare, AssetMeter, AssetConsumption, RegularAssetConsumption, PlaceholderAssetConsumption, InPlaceAssetConsumption, WarrantyType, RegularAssetTypeFileAttachment, Meter, MeterAttribute, MeterDocument, MeterReading, PredictedMeterReading, TimeLossCategory, TimeLossReason, TimeLossType, Consumable, AcquisitionStatus, AcquisitionType, DocumentFolder, DocumentRecord, DocumentRecordAttribute, FileAttachment, FileAttachmentCategory, FileAttachmentContentHistory, DocumentRecordFileHistory, Costing, CostingBudget, CostCentre, CostCentreAttribute, CostCentreDocument, CostCentreType, CostElement, CostElementAttribute, CostElementDocument, Currency, BudgetTemplate, BudgetTemplateParameter, FinancialYear, FinancialYearPeriod, GeneralLedger, GeneralLedgerAttribute, GeneralLedgerDocument, CurrencyRate, Budget, BudgetParameter, AddressType, Approval, Attribute, AttributeAllowedValue, Calendar, CalendarDay, CalendarException, CalendarDayHour, Classification, ClassificationAllowedValue, EmailType, Language, OperationalRole, OperationalRoleTemplate, OperationalRoleResource, PhoneNumberType, UserOperationalRole, UserOperationalRoleTemplate, UserOperationalRoleResource, TermsAndCondition, TermsAndConditionVersion, TermsAndConditionOperationalRole, UserTermsAndConditionVersion, Location, LocationAttribute, LocationDocument, LocalisationSet, LocalisationKey, LocalisationTranslation, Phrase, PhraseTranslation, PreconfiguredReason, Site, SiteAttribute, SiteDocument, SiteType, Supplier, SupplierFileAttachment, SupplierAttribute, SupplierDocument, SupplierContactAddress, SupplierContactEmail, SupplierContactPhoneNumber, SupplierResource, SupplierTaxRate, UnitOfMeasurement, SiteResource, SiteContactAddress, SiteContactEmail, SiteContactPhoneNumber, ChangeDataTrigger, ChangeDataTriggerOccurrenceLog, ChangeDataTriggerCriteria, NotificationTemplate, ChangeDataTriggerCriteriaParameter, ChangeDataTriggerNotificationEvent, NotificationTemplateParameter, ChangeDataTriggerNotificationEventAttachment, ChangeDataTriggerNotificationEventAttachmentParameter, RequestType, Category, Commodity, MaterialMaster, MaterialMasterAttribute, MaterialMasterDocument, MaterialMasterBin, MaterialMasterSupplier, MaterialMasterLinkWarehouse, StockItem, StockItemFileAttachment, StockItemAttribute, StockItemDocument, StockItemBin, StockItemSupplier, WarehouseAttribute, Warehouse, WarehouseDocument, Requisition, RequisitionFileAttachment, RequisitionStatus, RequisitionStatusChange, RequisitionStatusAttribute, RequisitionStatusDocument, RequisitionStatusChangeHistory, RequisitionItemTransaction, ApprovalRole, RequisitionAttribute, RequisitionDocument, RequisitionTransaction, RequisitionItem, RequisitionItemFileAttachment, UserSiteApprovalRole, ApprovalWorkflow, ApprovalWorkflowExpression, ApprovalWorkflowExpressionApprovalRole, Competency, Resource, ResourceAttribute, ResourceAddress, ResourceClassification, ResourceCompetency, ResourceDocument, ResourceEmail, ResourcePhoneNumber, ResourceTrade, ResourceTradeCompetency, ResourceTradeFinancialRate, Section, SectionAttribute, SectionDocument, SectionTrade, TradeAttribute, TradeDocument, Trade, TradeCompetency, TradeFinancialRate, ResourceContext, ResourceFileAttachment, AssetImportance, RiskConsequence, RiskConsequenceCategory, RiskModel, RiskModelConsequenceCategory, RiskModelImportance, RiskModelProbability, RiskProbability, WorkOrderImportance, WorkOrderStatus, WorkOrderStatusAttribute, WorkOrderStatusDocument, WorkOrderStatusAllowedChange, WorkOrder, WorkOrderStatusChangeHistory, WorkOrderStatusChange, WorkOrderMerge, WorkOrderSplit, WorkOrderMeter, WorkOrderAttribute, WorkOrderDocument, WorkOrderFileAttachment, WorkOrderTaskFileAttachment, WorkOrderTaskWarranty, WorkOrderTaskSpareFileAttachment, WorkOrderTask, WorkOrderTaskDocument, WorkOrderTaskAdHocCost, WorkOrderMonitoringPoint, WorkOrderTaskMonitoringPoint, WorkOrderTaskSpare, WorkOrderTaskSubTask, WorkOrderTaskResource, WorkOrderTaskResourceUsage, DueTask, DueTaskSuppressor, ProposedWorkOrderBatch, ProposedWorkOrder, ProposedWorkOrderTask, ProposedWorkOrderMeter, WorkOrderMovement, WorkOrderTaskMovement, WorkOrderTaskResourceMovement, WorkOrderTaskSpareMovement, WorkOrderTaskSubTaskMovement, WorkOrderCompleteAllTasksLog, WorkRequest, WorkRequestAttribute, WorkRequestDocument, WorkRequestStatus, WorkRequestStatusChange, WorkRequestStatusChangeHistory, WorkRequestFileAttachment, WorkOrderDowntimeLoss, WorkOrderProgressEvent, WorkOrderProgressEventAllowedChange, WorkOrderProgressLog, WorkOrderWarranty, ServiceLevelAgreementClassification, ServiceLevelAgreement, ServiceLevelAgreementMeasure, WorkOrderServiceLevelAgreement, WorkOrderServiceLevelAgreementMeasure, ServiceLevelAgreementMeasureTrigger, ServiceLevelAgreementMeasureFieldAssignment, PermissionTree, User, UserAttribute, UserDocument, UserAuthentication, SecurityRole, SecurityRolePermission, UserSecurityRole, UserCustomPermission, UserOption, BackgroundTask, BackgroundTaskStep, ScheduledBackgroundTask, ScheduledJob, UserDefinedField, UserDefinedFieldPredefinedValue, SystemOption, SystemOptionPageLimit, SystemOptionWorkOrderStatus, SystemOptionDefaultStandardTask, SystemOptionWorkOrderStatusTypeOfWork, SystemOptionReferenceDataViewPermission, SystemOptionFileAttachmentCategory, SystemOptionFileAttachmentFileType, RecordChange, RecordChangeValue, RecordChangeUser, RecordChangeProperty, NotificationEventOutbox, NotificationEventAttachmentOutbox, NotificationOutbox, NotificationOutboxLog, ChangeDataTriggerCriteriaEvaluation, SystemOptionReportServerEntity, SystemOptionReportServerEntityDefaultReport, TemplateMigrationLog, TemplateMigrationLogIntent, ResourceActionMigrationLog, ImportSchema, ImportFile, UserDefinedQuery, ResourceActionCustomisation, TemplateCustomisation, TemplateResource, ClusterSettings, ClusterIdentityProviderSettings, MessageBrokerHost, MessageBrokerTopic, MessageBrokerTopicConsumer, TenantSettings, TenantChangeDataSubscriptionSettings, TenantIdentityProviderSettings, TenantJobSettings, TenantFileContentStoreLocationSettings, TenantFileContentStoreFileTypeGroupSettings, TenantFileContentStoreFileTypeSettings, ClusterFeatureToggle, TenantFeatureToggle, TenantHealthCheck, TenantMachineHealthCheck, ClusterHealthCheck, ClusterMachineHealthCheck, ClusterCapacitySlot, TenantChangeLogCleanupExpressionSettings, ClusterJobSettings, Ignore]) | enum |\r\n| idApprovalEntityIdRemark | RequisitionItem->*Id.Approval.EntityId_Remark | string |  |\r\n| idApprovalEntityIdRoleCode | RequisitionItem->*Id.Approval.EntityId_Role_Code | string |  |\r\n| idApprovalEntityIdRoleDescription | RequisitionItem->*Id.Approval.EntityId_Role_Description | string |  |\r\n| idApprovalEntityIdStatus | RequisitionItem->*Id.Approval.EntityId_Status | string (Allowed values: [AwaitingApproval, Approved, Rejected, RoleCountReached]) | enum |\r\n",
        "operationId": "GetMyApprovalForRequisitionItemCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable My Identity collection",
            "schema": {
              "$ref": "#/definitions/GetMyApprovalForRequisitionItemCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/IDENTITY/BackgroundTasks": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of my Background Task resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | BackgroundTask->Id | integer | int64 |\r\n| name | BackgroundTask->Name | string |  |\r\n| type | BackgroundTask->Type | string |  |\r\n| origin | BackgroundTask->Origin | string (Allowed values: [User, Job]) | enum |\r\n| priority | BackgroundTask->Priority | integer | int32 |\r\n| status | BackgroundTask->Status | string (Allowed values: [NotStarted, Running, Completed, Cancelling, Cancelled, Aborting, Aborted]) | enum |\r\n| createdOn | BackgroundTask->CreatedOn | string | date-time |\r\n| modifiedOn | BackgroundTask->ModifiedOn | string | date-time |\r\n| startedOn | BackgroundTask->StartedOn | string | date-time |\r\n| completedOn | BackgroundTask->CompletedOn | string | date-time |\r\n| totalSteps | BackgroundTask->TotalSteps | integer | int32 |\r\n| failedSteps | BackgroundTask->FailedSteps | integer | int32 |\r\n| completedSteps | BackgroundTask->CompletedSteps | integer | int32 |\r\n| remainingSteps | BackgroundTask->RemainingSteps | integer | int32 |\r\n| skippedSteps | BackgroundTask->SkippedSteps | integer | int32 |\r\n| elapsedTime | BackgroundTask->ElapsedTime | string | duration |\r\n| averageTimePerStep | BackgroundTask->AverageTimePerStep | string | duration |\r\n| estimatedTimeRemaining | BackgroundTask->EstimatedTimeRemaining | string | duration |\r\n| estimatedCompletion | BackgroundTask->EstimatedCompletion | string | date-time |\r\n| version | BackgroundTask->Version | integer | int32 |\r\n",
        "operationId": "GetMyBackgroundTaskCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable My Identity collection",
            "schema": {
              "$ref": "#/definitions/GetMyBackgroundTaskCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/IDENTITY/BackgroundTasks/{id}/Steps": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of Background Task Step resources for my Background Task resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | BackgroundTaskStep->Id | integer | int64 |\r\n| name | BackgroundTaskStep->Name | string |  |\r\n| backgroundTaskId | BackgroundTaskStep->BackgroundTask_Id | integer | int64 |\r\n| backgroundTaskName | BackgroundTaskStep->BackgroundTask_Name | string |  |\r\n| backgroundTaskType | BackgroundTaskStep->BackgroundTask_Type | string |  |\r\n| backgroundTaskStatus | BackgroundTaskStep->BackgroundTask_Status | string (Allowed values: [NotStarted, Running, Completed, Cancelling, Cancelled, Aborting, Aborted]) | enum |\r\n| backgroundTaskOrigin | BackgroundTaskStep->BackgroundTask_Origin | string (Allowed values: [User, Job]) | enum |\r\n| createdOn | BackgroundTaskStep->CreatedOn | string | date-time |\r\n| modifiedOn | BackgroundTaskStep->ModifiedOn | string | date-time |\r\n| startedOn | BackgroundTaskStep->StartedOn | string | date-time |\r\n| completedOn | BackgroundTaskStep->CompletedOn | string | date-time |\r\n| sequenceNumber | BackgroundTaskStep->SequenceNumber | integer | int32 |\r\n| response | BackgroundTaskStep->Response | object |  |\r\n| isValid | BackgroundTaskStep->IsValid | boolean |  |\r\n",
        "operationId": "GetMyBackgroundTaskStepForBackgroundTaskCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Background Task Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable My Identity collection",
            "schema": {
              "$ref": "#/definitions/GetMyBackgroundTaskStepForBackgroundTaskCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/IDENTITY/Languages": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of my Languages.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | Language->Version | integer | int32 |\r\n| id | Language->Id | integer | int64 |\r\n| code | Language->Code | string |  |\r\n| description | Language->Description | string |  |\r\n| languageCode | Language->LanguageCode | string |  |\r\n| sequenceNumber | Language->SequenceNumber | integer | int32 |\r\n| isActive | Language->IsActive | boolean |  |\r\n",
        "operationId": "GetMyLanguageCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable My Identity collection",
            "schema": {
              "$ref": "#/definitions/GetMyLanguageCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/IDENTITY/OperationalRoles": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of my User Operational Role resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | UserOperationalRole->Id | integer | int64 |\r\n| version | UserOperationalRole->Version | integer | int32 |\r\n| operationalRoleId | UserOperationalRole->OperationalRole_Id | integer | int64 |\r\n| operationalRoleCode | UserOperationalRole->OperationalRole_Code | string |  |\r\n| operationalRoleDescription | UserOperationalRole->OperationalRole_Description | string |  |\r\n| isDefault | UserOperationalRole->IsDefault | boolean |  |\r\n| sequenceNumber | UserOperationalRole->SequenceNumber | integer | int32 |\r\n",
        "operationId": "GetMyOperationalRoleCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable My Identity collection",
            "schema": {
              "$ref": "#/definitions/GetMyOperationalRoleCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/IDENTITY/OperationalRoles/Resources": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of my User Operational Role Resource resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | UserOperationalRoleResource->Version | integer | int32 |\r\n| id | UserOperationalRoleResource->Id | integer | int64 |\r\n| userOperationalRoleId | UserOperationalRoleResource->UserOperationalRole_Id | integer | int64 |\r\n| userOperationalRoleOperationalRoleId | UserOperationalRoleResource->UserOperationalRole_OperationalRole_Id | integer | int64 |\r\n| userOperationalRoleOperationalRoleCode | UserOperationalRoleResource->UserOperationalRole_OperationalRole_Code | string |  |\r\n| userOperationalRoleOperationalRoleDescription | UserOperationalRoleResource->UserOperationalRole_OperationalRole_Description | string |  |\r\n| userOperationalRoleUserId | UserOperationalRoleResource->UserOperationalRole_User_Id | integer | int64 |\r\n| userOperationalRoleUserFullName | UserOperationalRoleResource->UserOperationalRole_User_FullName | string |  |\r\n| resourceActionCustomisationId | UserOperationalRoleResource->ResourceActionCustomisation_Id | integer | int64 |\r\n| resourceActionCustomisationName | UserOperationalRoleResource->ResourceActionCustomisation_Name | string |  |\r\n| module | UserOperationalRoleResource->Module | string |  |\r\n| resource | UserOperationalRoleResource->Resource | string |  |\r\n| resourceAction | UserOperationalRoleResource->ResourceAction | string |  |\r\n| sequenceNumber | UserOperationalRoleResource->SequenceNumber | integer | int32 |\r\n| isDefault | UserOperationalRoleResource->IsDefault | boolean |  |\r\n| isUserDefault | UserOperationalRoleResource->IsUserDefault | boolean |  |\r\n| isInherited | UserOperationalRoleResource->IsInherited | boolean |  |\r\n",
        "operationId": "GetMyOperationalRoleResourceCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable My Identity collection",
            "schema": {
              "$ref": "#/definitions/GetMyOperationalRoleResourceCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/IDENTITY/OperationalRoles/Templates": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of my User Operational Role Template resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | UserOperationalRoleTemplate->Version | integer | int32 |\r\n| id | UserOperationalRoleTemplate->Id | integer | int64 |\r\n| userOperationalRoleId | UserOperationalRoleTemplate->UserOperationalRole_Id | integer | int64 |\r\n| userOperationalRoleOperationalRoleId | UserOperationalRoleTemplate->UserOperationalRole_OperationalRole_Id | integer | int64 |\r\n| userOperationalRoleOperationalRoleCode | UserOperationalRoleTemplate->UserOperationalRole_OperationalRole_Code | string |  |\r\n| userOperationalRoleOperationalRoleDescription | UserOperationalRoleTemplate->UserOperationalRole_OperationalRole_Description | string |  |\r\n| templateCustomisationId | UserOperationalRoleTemplate->TemplateCustomisation_Id | integer | int64 |\r\n| templateCustomisationName | UserOperationalRoleTemplate->TemplateCustomisation_Name | string |  |\r\n| templateCustomisationDescription | UserOperationalRoleTemplate->TemplateCustomisation_Description | string |  |\r\n| templateCustomisationRestrictionLevel | UserOperationalRoleTemplate->TemplateCustomisation_RestrictionLevel | string (Allowed values: [Public, PublicReadOnly, Private]) | enum |\r\n| module | UserOperationalRoleTemplate->Module | string |  |\r\n| template | UserOperationalRoleTemplate->Template | string |  |\r\n| type | UserOperationalRoleTemplate->Type | string |  |\r\n| sequenceNumber | UserOperationalRoleTemplate->SequenceNumber | integer | int32 |\r\n| isDefault | UserOperationalRoleTemplate->IsDefault | boolean |  |\r\n| isUserDefault | UserOperationalRoleTemplate->IsUserDefault | boolean |  |\r\n| isInherited | UserOperationalRoleTemplate->IsInherited | boolean |  |\r\n",
        "operationId": "GetMyOperationalRoleTemplateCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable My Identity collection",
            "schema": {
              "$ref": "#/definitions/GetMyOperationalRoleTemplateCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/IDENTITY/ScheduledBackgroundTasks": {
      "get": {
        "tags": [
          "My Identity"
        ],
        "summary": "Get a collection of my Scheduled Background Task resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | ScheduledBackgroundTask->Id | integer | int64 |\r\n| name | ScheduledBackgroundTask->Name | string |  |\r\n| type | ScheduledBackgroundTask->Type | string |  |\r\n| jobId | ScheduledBackgroundTask->JobId | string | uuid |\r\n| schedule | ScheduledBackgroundTask->Schedule | string |  |\r\n| executionMode | ScheduledBackgroundTask->ExecutionMode | string (Allowed values: [AllOrNone, PerRecord]) | enum |\r\n| startFrom | ScheduledBackgroundTask->StartFrom | string | date-time |\r\n| requestType | ScheduledBackgroundTask->RequestType | string |  |\r\n| notes | ScheduledBackgroundTask->Notes | string |  |\r\n| createdOn | ScheduledBackgroundTask->CreatedOn | string | date-time |\r\n| modifiedOn | ScheduledBackgroundTask->ModifiedOn | string | date-time |\r\n| version | ScheduledBackgroundTask->Version | integer | int32 |\r\n",
        "operationId": "GetMyScheduledBackgroundTaskCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable My Identity collection",
            "schema": {
              "$ref": "#/definitions/GetMyScheduledBackgroundTaskCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
[...]
